OLT T-cont
5 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| addTcont | POST | Create new t-cont |
| deleteTcont | POST | Delete an existing t-cont |
| editTcont | POST | Modify an existing t-cont |
| getTcontList | GET | Get t-cont list |
| getTcontPage | GET | Get t-cont page |
addTcont
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/t-conts/add
Create new t-cont
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
lineProfileId | path | string | yes | Line Profile ID should be a number between 0-512 |
Request body — application/json (required) — schema TcontDTO
| Field | Type | Required | Description |
|---|---|---|---|
tcontId | integer | yes | T-cont ID should be within the range of 1 to 127 and should not be null |
lineProfileId | integer | no | The ID of the associated Line Profile,lineProfile should be within the range of 1 to 512. |
dbaId | integer | yes | The DBA template ID bound to the T-cont. DbaId should be a within the range of 0 to 512. Currently existing DBA templates, including DBA system templates, can also be referenced by the T-cont. |
gemPortIds | array<integer> | no | A list of GEM Port IDs bound to this T-Cont. |
isInUse | boolean | no | Whether the T-cont has been used. If it has been used, it cannot be deleted. True indicates it has been used, while false indicates it has not been used. |
// omada_call_operation
{
"operationId": "addTcont",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"lineProfileId": "<lineProfileId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new t-cont
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
deleteTcont
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/t-conts/delete
Delete an existing t-cont
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
lineProfileId | path | string | yes | Line Profile ID should be a number between 0-512 |
Request body — application/json (required) — schema TcontDeleteDTO
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<integer> | yes | ID list |
lineProfileId | integer | no | The ID of the associated Line Profile,lineProfile should be within the range of 1 to 512. |
// omada_call_operation
{
"operationId": "deleteTcont",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"lineProfileId": "<lineProfileId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete an existing t-cont
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editTcont
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/t-conts/edit
Modify an existing t-cont
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
lineProfileId | path | string | yes | Line Profile ID should be a number between 0-512 |
Request body — application/json (required) — schema TcontModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
tcontId | integer | yes | T-cont ID should be within the range of 1 to 127 and should not be null |
lineProfileId | integer | no | The ID of the associated Line Profile,lineProfile should be within the range of 1 to 512. |
dbaId | integer | no | The DBA template ID bound to the T-cont. DbaId should be within the range of 0 to 512. Currently existing DBA templates, including DBA system templates, can also be referenced by the T-cont. |
// omada_call_operation
{
"operationId": "editTcont",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"lineProfileId": "<lineProfileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing t-cont
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getTcontList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/t-conts/list
Get t-cont list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
lineProfileId | path | string | yes | Line Profile ID should be a number between 0-512 |
queryParam | query | TcontListQueryDTO | no | Object: its fields (searchKey, sorts, lineProfileId) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getTcontList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"lineProfileId": "<lineProfileId>"
}
}Details, permissions and error codes
Get t-cont list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getTcontPage
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/t-conts/page
Get t-cont page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
lineProfileId | path | string | yes | Line Profile ID should be a number between 0-512 |
queryParam | query | TcontPageQueryDTO | no | Object: its fields (searchKey, sorts, size, number, lineProfileId) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getTcontPage",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>",
"lineProfileId": "<lineProfileId>"
}
}Details, permissions and error codes
Get t-cont page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.